﻿@model BreweryIndexViewModel

@{
    Layout = "_Layout";
}
<body>

    <form class="form" method="post" asp-action="FilterBreweries" style="margin-bottom:30px">

        <div class="form__field field" style="display:flex">
            <h3>Sorting by style ID: @Model.CountryIdToFilter</h3>
            <select asp-for="CountryIdToFilter" asp-items="Model.CountriesDropDown"></select>
            <span class="field__validation-message" asp-validation-for="CountryIdToFilter"></span>
        </div>

        <input type="search" asp-for="Query" value="" />

        <div class="form__buttons buttons">
            <button type="submit">Submit options</button>
        </div>

    </form>

    @if (User.IsInRole("Admin"))
    {
        <p>
            <a asp-action="Create">Create New</a>
        </p>
    }

    <table class="table">
        <thead>
            <tr>
                <th>
                    @Html.DisplayNameFor(model => model.BreweriesList[0].Name)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.BreweriesList[0].Address)
                </th>
                @if (User.IsInRole("Admin"))
                {
                    <th>
                        @Html.DisplayNameFor(model => model.BreweriesList[0].CreatedOn)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.BreweriesList[0].ModifiedOn)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.BreweriesList[0].DeletedOn)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.BreweriesList[0].IsDeleted)
                    </th>
                }
                <th></th>
            </tr>
        </thead>
        <tbody>
            @foreach (var item in Model.BreweriesList)
            {
                if (item.IsDeleted == true && !User.IsInRole("Admin"))
                {
                    continue;
                }
                <tr>
                    <td>
                        @Html.DisplayFor(modelItem => item.Name)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.Address)
                    </td>
                    @if (User.IsInRole("Admin"))
                    {
                        <td>
                            @Html.DisplayFor(modelItem => item.CreatedOn)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.ModifiedOn)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.DeletedOn)
                        </td>

                        <td>
                            @Html.DisplayFor(modelItem => item.IsDeleted)
                        </td>
                    }

                    <td>
                        <a asp-action="Details" asp-route-id="@item.Id">Details </a>
                        @if (User.Identity.IsAuthenticated)
                        {
                            if (true)//Check if current user has created the brewerie, if true, allow them to edit it
                            {
                                <a asp-action="Edit" asp-route-id="@item.Id">| Edit |</a>
                                <a asp-action="Delete" asp-route-id="@item.Id">Delete</a>
                            }
                        }

                    </td>
                </tr>
            }
        </tbody>
    </table>
</body>
